### enable_partial_cancellation

A cancellation filter that enables terminal and partial cancellation.

    typedef cancellation_filter< cancellation_type::terminal|cancellation_type::partial > enable_partial_cancellation;

##### Member Functions

Name | Description
--- | ---
operator() | Returns type & Mask.

##### Requirements

Header: `asio/cancellation_state.hpp`

Convenience header: `asio.hpp`